package de.unirostock.Prototype.example.gui;


public class MainPanel extends javax.swing.JPanel {

	public MainPanel() {
		super();
		initGUI();
	}
	
	private void initGUI() {
		try {
			this.setBackground(new java.awt.Color(250,248,238));
			this.setLayout(null);
			this.setPreferredSize(new java.awt.Dimension(910, 306));

			PrototypeDefinitionPanel leftPanel = new PrototypeDefinitionPanel();
			this.add(leftPanel);
			leftPanel.setBounds(0, 0, 660, 306);

			ShipInfoPanel rightPanel = new ShipInfoPanel();
			this.add(rightPanel);
			rightPanel.setShipInfoPanelModel( leftPanel );
			rightPanel.setBounds(660, 0, 250, 300);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
